Saltar al contenido principal
GET
/
api
/
v1
/
webhooks
List Webhooks
curl --request GET \
  --url https://api.agentwallex.com/api/v1/webhooks \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "url": "<string>",
      "events": [
        "<string>"
      ],
      "status": "active",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "has_more": true
}

Ejemplo

curl -X GET https://api.agentwallex.com/api/v1/webhooks \
  -H "X-API-Key: awx_your_api_key"

Autorizaciones

X-API-Key
string
header
requerido

API key authentication. Keys are prefixed with awx_.

Parámetros de consulta

page_num
integer
predeterminado:1

Page number (1-indexed).

Rango requerido: x >= 1
page_size
integer
predeterminado:20

Number of items per page.

Rango requerido: 1 <= x <= 100

Respuesta

Paginated list of webhooks.

Standard paginated response wrapper.

data
object[]

Array of resource objects.

total
integer

Total number of items matching the query.

has_more
boolean

Whether more pages are available.